org.restlet.engine.http.header

## Class CacheDirectiveWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.StringWriter
    - - org.restlet.engine.http.header.HeaderWriter<CacheDirective>
      - - org.restlet.engine.http.header.CacheDirectiveWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class CacheDirectiveWriter
    extends HeaderWriter<CacheDirective>

Cache directive header writer.

Author:
  Thierry Boileau

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`CacheDirectiveWriter()`

### Method Summary

Methods
`CacheDirectiveWriter` `append(CacheDirective directive)` Appends a value.
`static java.lang.String` `write(java.util.List<CacheDirective> directives)` Writes a list of cache directives with a comma separator.

### Methods inherited from class org.restlet.engine.http.header.HeaderWriter

`append, append, append, append, append, append, appendComment, appendExtension, appendExtension, appendParameterSeparator, appendProduct, appendQuotedPair, appendQuotedString, appendSpace, appendToken, appendUriEncoded, appendValueSeparator, canWrite`

### Methods inherited from class java.io.StringWriter

`append, close, flush, getBuffer, toString, write, write, write, write`

### Methods inherited from class java.io.Writer

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheDirectiveWriter

    public CacheDirectiveWriter()

### Method Detail

#### write

    public static java.lang.String write(java.util.List<CacheDirective> directives)

Writes a list of cache directives with a comma separator.

Parameters:
  `directives` - The list of cache directives.
Returns:
  The formatted list of cache directives.

#### append

    public CacheDirectiveWriter append(CacheDirective directive)

Description copied from class: `HeaderWriter`
Appends a value.

Specified by:
  `append` in class `HeaderWriter<CacheDirective>`
Parameters:
  `directive` - The value.
Returns:
  This writer.